4Suite™ API Documentation

# ► Module Ft.Rdf._4rdf

4RDF command-line application Note: This is a general-purpose RDF tool. If you wish to query a 4Suite repository, you may find '4ss rdf' more convenient.

Classes: RdfCommandLineApp |  |  |  | Functions: CheckLabel, Run |  |  |  | Fields: BASIC_RESOLVER, DAML_OIL_NS, DefaultFactory, INVOKED_AS, NonvalidatingReader, OWL_NS, RDF_MS_BASE, RDF_SCHEMA_BASE, g_anonCounter, g_anonMapping, g_labelCache, g_nsMappings

## Classes

class RdfCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

### Methods

__init__(self)
validate_arguments(self, args)
validate_options(self, options)

### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, run

### Methods inherited from class Ft.Lib.CommandLine.Command.Command

break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

### Fields

## Functions

CheckLabel(model, text)
Run(options, args)

## Fields

BASIC_RESOLVER = <Ft.Lib.Uri.FtUriResolver instance>
DAML_OIL_NS = 'http://www.w3.org/2001/10/daml+oil#'
DefaultFactory = <Ft.Xml.InputSource.InputSourceFactory instance>
INVOKED_AS = '/tmp/tmpglDuaK.py'
NonvalidatingReader = <Ft.Xml.Domlette.NonvalidatingReaderBase instance>
The default non-validating reader instance, created from NonvalidatingReaderBase() with no constructor arguments.
Uses the default InputSource factory. If you need to change it,
reassign the inputSourceFactory attribute, or, preferably, just
create a new NonvalidatingReaderBase instance.
OWL_NS = 'http://www.w3.org/2002/07/owl#'
RDF_MS_BASE = 'http://www.w3.org/1999/02/22-rdf-syntax-ns#'
RDF_SCHEMA_BASE = 'http://www.w3.org/2000/01/rdf-schema#'
g_anonCounter = 1
g_anonMapping = {}
g_labelCache = {'http://www.w3.org/1999/02/22-rdf-syntax-ns#Property': '<rdf:Property>', 'http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement': '<rdf:Statement>', 'http://www.w3.org/1999/02/22-rdf-syntax-ns#object': '<rdf:object>', 'http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate': '<rdf:predicate>', 'http://www.w3.org/1999/02/22-rdf-syntax-ns#subject': '<rdf:subject>', 'http://www.w3.org/1999/02/22-rdf-syntax-ns#type': '<rdf:type>', 'http://www.w3.org/1999/02/22-rdf-syntax-ns#value': '<rdf:value>', 'http://www.w3.org/2000/01/rdf-schema#Class': '<rdfs:Class>', 'http://www.w3.org/2000/01/rdf-schema#Literal': '<rdfs:Literal>', 'http://www.w3.org/2000/01/rdf-schema#Resource': '<rdfs:Resource>', ...}
g_nsMappings = {'daml': 'http://www.w3.org/2001/10/daml+oil#', 'frepo': 'http://schemas.4suite.org/4ss#', 'owl': 'http://www.w3.org/2002/07/owl#', 'rdf': 'http://www.w3.org/1999/02/22-rdf-syntax-ns#', 'rdfs': 'http://www.w3.org/2000/01/rdf-schema#', 'xsd': 'http://www.w3.org/2001/XMLSchema#'}